xcb_xv_get_still(3)

NAME
xcb_xv_get_still -

SYNOPSIS
#include <xcb/xv.h>

  Request function

xcb_void_cookie_t xcb_xv_get_still(xcb_connection_t *conn, xcb_xv_port_t port, xcb_drawable_t drawable, xcb_gcontext_t gc, int16_t vid_x, int16_t vid_y, uint16_t vid_w, uint16_t vid_h, int16_t drw_x, int16_t drw_y, uint16_t drw_w, uint16_t drw_h);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

port
    TODO: NOT YET DOCUMENTED.

drawable
    TODO: NOT YET DOCUMENTED.

gc  TODO: NOT YET DOCUMENTED.

vid_x
    TODO: NOT YET DOCUMENTED.

vid_y
    TODO: NOT YET DOCUMENTED.

vid_w
    TODO: NOT YET DOCUMENTED.

vid_h
    TODO: NOT YET DOCUMENTED.

drw_x
    TODO: NOT YET DOCUMENTED.

drw_y
    TODO: NOT YET DOCUMENTED.

drw_w
    TODO: NOT YET DOCUMENTED.

drw_h
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_xv_get_still_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xv.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.